> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clicker.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Provide the UID you received when you created your webhook in order to modify it using this endpoint. Updatees include:
          -Add or remove wallets who are subscribed to the webhook
          -Replace the list of subscribers for the webhook entirely
          -Modify the destination URL which this webhook uses to send you feed items



## OpenAPI

````yaml PUT /v1/webhooks/feed/{uid}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Daylight.xyz API
  description: >-
    Welcome to the Daylight API! API endpoints require a Daylight partner API
    key passed in the HTTP Authorization header.
servers:
  - url: https://api.clicker.xyz
security:
  - {}
  - bearerAuth: []
paths:
  /v1/webhooks/feed/{uid}:
    put:
      tags:
        - Social - Feed, Profiles and Discovery
      summary: Update Feed Webhook
      description: >-
        Provide the UID you received when you created your webhook in order to
        modify it using this endpoint. Updatees include:
                  -Add or remove wallets who are subscribed to the webhook
                  -Replace the list of subscribers for the webhook entirely
                  -Modify the destination URL which this webhook uses to send you feed items
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: uid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                walletAddresses:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        default: '0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'
                        description: The address / public key.
                      - type: string
                        pattern: ^ext:.+
                  description: A list of wallet addresses or ext:<id> external identifiers.
                destinationUrl:
                  type: string
                  pattern: >-
                    https?:\/\/(www\.)?[-a-zA-Z0-9@:%._+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_+.~#?&//=]*)
                addWalletAddresses:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        default: '0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'
                        description: The address / public key.
                      - type: string
                        pattern: ^ext:.+
                  description: >-
                    A list of wallet addresses or ext:<id> identifiers to
                    append.
                removeWalletAddresses:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        default: '0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'
                        description: The address / public key.
                      - type: string
                        pattern: ^ext:.+
                  description: >-
                    A list of wallet addresses or ext:<id> identifiers to
                    remove.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2WebhookResponse'
        '400':
          description: >-
            The request payload or query string parameter you passed was not
            valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '404':
          description: The item you requested could not be found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    V2WebhookResponse:
      type: object
      properties:
        destinationUrl:
          type: string
          pattern: >-
            https?:\/\/(www\.)?[-a-zA-Z0-9@:%._+~#=]{1,256}\.[a-zA-Z0-9()]{1,6}\b([-a-zA-Z0-9()@:%_+.~#?&//=]*)
        uid:
          type: string
        secret:
          type: string
          description: >-
            Be sure to save this value, as it’s only returned after creating a
            webhook!
      required:
        - destinationUrl
        - uid
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````